import type { ActiveRecords } from '@oinone/kunlun-engine';
import { TableWidget, type TableWidgetProps } from '../../../../view';
export declare class InlineTableWidget<Props extends TableWidgetProps = TableWidgetProps> extends TableWidget<Props> {
    reloadDataSource(records: ActiveRecords | undefined): void;
    reloadActiveRecords(records: ActiveRecords | undefined): void;
}
